package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bop.jsh.Dbv;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface DbvMapper {

    int insert(Dbv record);

    int insertSelective(Dbv record);

    int updateByPrimaryKeySelective(Dbv record);

    int updateByPrimaryKey(Dbv record);

    int deleteByPrimaryKey(Dbv record);

    int deleteByIds(Collection<Object> collection);

    Dbv selectByPrimaryKey(Dbv record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Dbv> dyncRead(Map<String, Object> dyncMap);

    Dbv selectByRptnoAndTmpref(Dbv record);

    String selectActiontypByinr(String inr);

    Dbv selectInfoByTmpref(String tmpref);
}